For the complete documentation index, see llms.txt. This page is also available as Markdown.

Modeling

Create Modeling

post

Creates modeling by uploading a file.

Authorizations
Query parameters
isPersonalbooleanOptional

Personal library status

startModelingbooleanOptional

Start rendering immediately status

Body
namestringRequired

Modeling name

filestring · binaryRequired

Modeling file

Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
post/api/v1/modelings
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Change Modeling File

patch

Changes the original file of the modeling.

Authorizations
Path parameters
idstringRequired

Modeling ID

Query parameters
startModelingbooleanOptional

Start rendering immediately status

Body
filestring · binaryRequired

New modeling file

Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
patch/api/v1/modelings/{id}/file
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Get Modeling

get
Authorizations
Path parameters
idstringRequired

Modeling ID

Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
get/api/v1/modelings/{id}
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Last updated

Was this helpful?